commit: c8ac2f4ac807be1f98d97c0d2f70848129327294
Author: David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat May 17 08:06:11 2025 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat May 17 08:06:11 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c8ac2f4a
media-video/aegisub: update EAPI 7 -> 8
Signed-off-by: David Seifert <soap <AT> gentoo.org>
.../{aegisub-3.4.2.ebuild => aegisub-3.4.2-r1.ebuild} | 16 ++++++++--------
1 file changed, 8 insertions(+), 8 deletions(-)
diff --git a/media-video/aegisub/aegisub-3.4.2.ebuild
b/media-video/aegisub/aegisub-3.4.2-r1.ebuild
similarity index 96%
rename from media-video/aegisub/aegisub-3.4.2.ebuild
rename to media-video/aegisub/aegisub-3.4.2-r1.ebuild
index 2dbd4828ef2d..3a179dcd7b42 100644
--- a/media-video/aegisub/aegisub-3.4.2.ebuild
+++ b/media-video/aegisub/aegisub-3.4.2-r1.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
LUA_COMPAT=( luajit )
LUA_REQ_USE="lua52compat"
@@ -26,13 +26,16 @@ fi
LICENSE="BSD MIT"
SLOT="0"
IUSE="+alsa debug +fftw openal portaudio pulseaudio spell test +uchardet"
+REQUIRED_USE="
+ ${LUA_REQUIRED_USE}
+ || ( alsa openal portaudio pulseaudio )"
RESTRICT="test"
# aegisub bundles luabins (https://github.com/agladysh/luabins).
# Unfortunately, luabins upstream is practically dead since 2010.
# Thus unbundling luabins isn't worth the effort.
RDEPEND="${LUA_DEPS}
- x11-libs/wxGTK:${WX_GTK_VER}[X,opengl,debug?]
+ x11-libs/wxGTK:${WX_GTK_VER}=[X,opengl,debug?]
dev-libs/boost:=[icu,nls]
dev-libs/icu:=
media-libs/ffmpegsource:=
@@ -67,15 +70,12 @@ BDEPEND="dev-util/intltool
)
"
-REQUIRED_USE="${LUA_REQUIRED_USE}
- || ( alsa openal portaudio pulseaudio )"
-
-BUILD_DIR="${WORKDIR}/${P}-build"
-
PATCHES=(
-"${FILESDIR}/3.4.2/Fix-build-without-pch.patch"
+ "${FILESDIR}"/3.4.2/Fix-build-without-pch.patch
)
+BUILD_DIR="${WORKDIR}/${P}-build"
+
aegisub_check_compiler() {
if [[ ${MERGE_TYPE} != "binary" ]] && ! test-flag-CXX -std=c++20; then
die "Your compiler lacks C++20 support."